Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=961024

Description of problem:

If I have multiple providers with their unique products/repos and create and publish a content view that has only one of these
products, when | add said content view to a new activationkey | expect that only the product added to the content view should be
available to me in the Available Subscriptions tab. Currently, all products are listed as available for selection which to me is counter
intuitive. I'd argue that only the one product that was added to the content view should be visible. If | removed the content view, then
all available products can be displayed for selection.

Version-Release number of selected component (if applicable):

How reproducible:
Steps to Reproduce:
>

3.

Actual results:

Expected results:

Additional info:

History

#1 - 08/14/2014 02:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4584 added

- Pull request deleted ()

#2 - 08/14/2014 03:39 PM - Thomas McKay

This is an RFE, not a bug. While it will be very useful to filter out subscriptions to those that match the content in the content view, there are some
Red Hat subscription types that need to still be available.

1) Some subs have no content at all but instead enable other subs.
2) Sometimes it is useful to assign a sub to a hypervisor, for example, so that "bonus" subs are created which in turn may be applied to guest hosts.
These hypervisors don't actually consume content and thus may be in environments w/o any.

I'd suggest some design around this feature request:

Ul - Perhaps add a filter element to the subs table to switch between all or content view limited.
CLI - Perhaps arguments to reflect same filter as Ul.
https://bugzilla.redhat.com/show_bug.cgi?id=961024

Could be implemented as search?

Note that there is a related concept when assigning subs to content hosts as well and same design should be applied there as well.

#3 - 08/15/2014 01:53 PM - Eric Helms
- Status changed from Ready For Testing to Rejected

- Triaged changed from No to Yes

#4 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 03/21/2015 11:05 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#6 - 07/08/2016 11:30 AM - Eric Helms

- translation missing: en.field_release set to 166
